Bug 105810 - Returning partitions to state prior to edit failed
Returning partitions to state prior to edit failed
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
9
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
ftp://66.246.130.37/anacdump.txt
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-27 19:05 EDT by Bart Jennings
Modified: 2007-04-18 12:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-04 23:28:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bart Jennings 2003-09-27 19:05:35 EDT
Description of problem:

Heres the install error text file that was created
=====================
Traceback (most recent call last):
  File "/usr/bin/anaconda", line 739, in ?
    intf.run(id, dispatch, configFileData)
  File "/usr/lib/anaconda/text.py", line 438, in run
    rc = apply(win, (self.screen, ) + args)
  File "/usr/lib/anaconda/textw/partition_text.py", line 1146, in __call__
    self.editCb()
  File "/usr/lib/anaconda/textw/partition_text.py", line 1073, in editCb
    self.editPartitionRequest(request)
  File "/usr/lib/anaconda/textw/partition_text.py", line 874, in
editPartitionRequest
    raise RuntimeError, "Returning partitions to state prior to edit failed"
RuntimeError: Returning partitions to state prior to edit failed

Local variables in innermost frame:
drivegrid: <snack.Grid instance at 0x88a0fd4>
allowdrives: ['sda']
sizeopts: <snack.RadioGroup instance at 0x875889c>
isNew: 0
poplevel: <snack.GridFormHelp instance at 0x8788da4>
subgrid: <snack.Grid instance at 0x83cd78c>
mountgrid: <snack.Grid instance at 0x8415f04>
primary: <snack.Checkbox instance at 0x87b6984>
fstype: <snack.Listbox instance at 0x87baad4>
allsize: <snack.Grid instance at 0x879bc24>
badblocksCB: <snack.Checkbox instance at 0x87d239c>
growtype: fixed
grow: None
fsoptLbl: None
size: <snack.Entry instance at 0x84359ec>
row: 5
err: None
sizegrid: <snack.Grid instance at 0x886e76c>
popbb: <snack.ButtonBar instance at 0x83f154c>
res: <snack.Button instance at 0x83ab084>
self: <partition_text.PartitionWindow instance at 0x82b1b04>
request: New Part Request -- mountpoint: / uniqueID: 4
  type: ext3  format: 1  badblocks: 0
  device: sda3 drive: ['sda']  primary: None
  size: 50000  grow: None  maxsize: None
  start: None  end: None  migrate: None  origfstype: None
optiongrid: <snack.Grid instance at 0x886e9f4>
i: sda
maxsize: None
limitentry: <snack.Entry instance at 0x8412574>
filesystem: <fsset.ext3FileSystem instance at 0x82b46dc>
origrequest: New Part Request -- mountpoint: / uniqueID: 4
  type: ext3  format: 1  badblocks: None
  device: sda3 drive: ['sda']  primary: None
  size: 1100  grow: 1  maxsize: None
  start: None  end: None  migrate: None  origfstype: None
fsgrid: <snack.Grid instance at 0x85ac444>
primonly: None
.
.
.
.
Rest of error avaialable via ftp site submitted. 


Version-Release number of selected component (if applicable):
RH 9.0

How reproducible:
Install OS on  a RocketRaid133 controler (htp372 i think) with 4 hard drives.
The disks already have windows 2000 primary partition on them. Linux is
installing after it.  the system was booted with: linux text expert hde=noprobe
hdf=noprobe hdg=noprobe hdh=noprobe as specified by the controler manual.  The
onboard IDE controler has two channels (MSI k7d master board)  only 1 cdrom
drive is connected to the controler and it is the master on the first channel.
The error happens when the partitions for linux are being made.  Instead of
applying them this error is shown.

Steps to Reproduce:
1.See above
2.
3.
    
Actual results:
error message (see above and ftp site)

Expected results:
RH 9 should create the partitions correctly and continue with the install

Additional info:
I like ice cream.
Comment 1 Jason 2003-11-10 16:14:33 EST
I get the same error "Returning partitions to state prior to edit
failed" when I try to install Fedora Core 1 on my i686 system.  Here
is my anacdump.txt file.

Traceback (most recent call last):
  File "/usr/bin/anaconda", line 1120, in ?
    intf.run(id, dispatch, configFileData)
  File "/usr/lib/anaconda/text.py", line 451, in run
    rc = apply(win, (self.screen, ) + args)
  File "/usr/lib/anaconda/textw/partition_text.py", line 1149, in __call__
    self.editCb()
  File "/usr/lib/anaconda/textw/partition_text.py", line 1088, in editCb
    self.editPartitionRequest(request)
  File "/usr/lib/anaconda/textw/partition_text.py", line 893, in
editPartitionRequest
    raise RuntimeError, "Returning partitions to state prior to edit
failed"
RuntimeError: Returning partitions to state prior to edit failed

Local variables in innermost frame:
drivegrid: <snack.Grid instance at 0xa50b59c>
allowdrives: None
sizeopts: <snack.RadioGroup instance at 0xa41570c>
isNew: 0
poplevel: <snack.GridFormHelp instance at 0xa5190f4>
subgrid: <snack.Grid instance at 0xa4c3544>
mountgrid: <snack.Grid instance at 0xa49b5fc>
primary: <snack.Checkbox instance at 0xa3f783c>
fstype: <snack.Listbox instance at 0xa3d975c>
allsize: <snack.Grid instance at 0xa3e783c>
badblocksCB: None
growtype: limit
grow: 1
fsoptLbl: None
size: <snack.Entry instance at 0xa46de4c>
row: 5
err: None
sizegrid: <snack.Grid instance at 0xa3fd8b4>
popbb: <snack.ButtonBar instance at 0x9fb6934>
res: <snack.Button instance at 0xa407a14>
self: <partition_text.PartitionWindow instance at 0xa49b81c>
request: New Part Request -- mountpoint: None uniqueID: 11
  type: swap  format: 1  badblocks: 0
  device: hda5 drive: None  primary: None
  size: 512  grow: 1  maxsize: 512
  start: None  end: None  migrate: None  origfstype: None
optiongrid: <snack.Grid instance at 0xa10ca9c>
maxsize: 512
limitentry: <snack.Entry instance at 0xa4ef3bc>
filesystem: <fsset.swapFileSystem instance at 0xa09ad7c>
origrequest: New Part Request -- mountpoint: None uniqueID: 11
  type: swap  format: 1  badblocks: None
  device: hda5 drive: ['hda']  primary: None
  size: 512  grow: 1  maxsize: 1024
  start: None  end: None  migrate: None  origfstype: None
fsgrid: <snack.Grid instance at 0xa3f80d4>
primonly: None


Dispatcher instance, containing members:
method: CdromInstallMethod instance, containing members:
  method.messageWindow: <bound method InstallInterface.messageWindow
of <text.InstallInterface instance at 0xa0b780c>>
  method.currentIso: None
  method.loopbackFile: None
  method.progressWindow: <bound method InstallInterface.progressWindow
of <text.InstallInterface instance at 0xa0b780c>>
  method.device: hdc
  method.timestamp: 1067903218.245772
  method.tree: /mnt/source
  method.rootPath: /mnt/sysimage
  method.currentDisc: [1]
step: 18
intf: InstallInterface instance, containing members:
  intf.instLanguage: InstallTimeLanguage instance, containing members:
    intf.instLanguage.current: en_US.UTF-8
    intf.instLanguage.tempDefault: 
    intf.instLanguage.nativeLangNames: {'Swedish': Svenska, 'Danish':
Dansk, 'Icelandic': Íslenska, 'Chinese(Simplified)': 简体中文,
'Croatian': Hrvatski, 'Norwegian': Norsk, 'German': Deutsch,
'English': English, 'Slovenian': slovenščina, 'Japanese': 日本語,
'French': Français, 'Czech': Čeština, 'Portuguese': Português,
'Turkish': Türkçe, 'Spanish': Español, 'Dutch': Nederlands,
'Russian': Русский, 'Korean': 한국어,
'Chinese(Traditional)': 繁體中文, 'Portuguese(Brazilian)':
Português (Brasil), 'Italian': Italiano}
    intf.instLanguage.langList: [Chinese(Simplified),
Chinese(Traditional), Croatian, Czech, Danish, Dutch, English, French,
German, Icelandic, Italian, Japanese, Korean, Norwegian, Portuguese,
Portuguese(Brazilian), Russian, Slovenian, Spanish, Swedish, Turkish]
    intf.instLanguage.runtimeLangs: {'no_NO.UTF-8': no_NO.UTF-8,
'tr_TR.UTF-8': tr_TR.UTF-8, 'zh_CN.UTF-8': zh_CN.UTF-8, 'ko_KR.UTF-8':
ko_KR.UTF-8, 'is_IS.UTF-8': is_IS.UTF-8, 'zh_TW.UTF-8': zh_TW.UTF-8,
'de_DE.UTF-8': de_DE.UTF-8, 'ja_JP.UTF-8': ja_JP.UTF-8, 'hr_HR.UTF-8':
hr_HR.UTF-8, 'cs_CZ.UTF-8': cs_CZ.UTF-8, 'en_US.UTF-8': en_US.UTF-8,
'da_DK.UTF-8': da_DK.UTF-8, 'sl_SI.UTF-8': sl_SI.UTF-8, 'ru_RU.UTF-8':
ru_RU.UTF-8, 'sv_SE.UTF-8': sv_SE.UTF-8, 'pt_PT.UTF-8': pt_PT.UTF-8,
'nl_NL.UTF-8': nl_NL.UTF-8, 'fr_FR.UTF-8': fr_FR.UTF-8, 'it_IT.UTF-8':
it_IT.UTF-8, 'pt_BR.UTF-8': pt_BR.UTF-8, 'es_ES.UTF-8': es_ES.UTF-8}
    intf.instLanguage.langNicks: {'Swedish': sv_SE.UTF-8, 'Danish':
da_DK.UTF-8, 'Icelandic': is_IS.UTF-8, 'Chinese(Simplified)':
zh_CN.UTF-8, 'Croatian': hr_HR.UTF-8, 'Norwegian': no_NO.UTF-8,
'German': de_DE.UTF-8, 'English': en_US.UTF-8, 'Slovenian':
sl_SI.UTF-8, 'Japanese': ja_JP.UTF-8, 'French': fr_FR.UTF-8, 'Czech':
cs_CZ.UTF-8, 'Portuguese': pt_PT.UTF-8, 'Turkish': tr_TR.UTF-8,
'Spanish': es_ES.UTF-8, 'Dutch': nl_NL.UTF-8, 'Russian': ru_RU.UTF-8,
'Korean': ko_KR.UTF-8, 'Chinese(Traditional)': zh_TW.UTF-8,
'Portuguese(Brazilian)': pt_BR.UTF-8, 'Italian': it_IT.UTF-8}
    intf.instLanguage.font: {'Swedish': latarcyrheb-sun16, 'Danish':
latarcyrheb-sun16, 'Icelandic': latarcyrheb-sun16,
'Chinese(Simplified)': bterm, 'Croatian': latarcyrheb-sun16,
'Norwegian': latarcyrheb-sun16, 'German': latarcyrheb-sun16,
'English': latarcyrheb-sun16, 'Slovenian': latarcyrheb-sun16,
'Japanese': bterm, 'French': latarcyrheb-sun16, 'Czech':
latarcyrheb-sun16, 'Portuguese': latarcyrheb-sun16, 'Turkish':
latarcyrheb-sun16, 'Spanish': latarcyrheb-sun16, 'Dutch':
latarcyrheb-sun16, 'Russian': latarcyrheb-sun16, 'Korean': bterm,
'Chinese(Traditional)': bterm, 'Portuguese(Brazilian)':
latarcyrheb-sun1, 'Italian': latarcyrheb-sun16}
    intf.instLanguage.kbd: {'Swedish': sv-latin1, 'Danish': us,
'Icelandic': is-latin1, 'Chinese(Simplified)': us, 'Croatian': croat,
'Norwegian': no-latin1, 'German': de-latin1-nodeadkeys, 'English': us,
'Slovenian': slovene, 'Japanese': jp106, 'French': fr-latin1, 'Czech':
cz-lat2, 'Portuguese': pt-latin1, 'Turkish': trq, 'Spanish': es,
'Dutch': us, 'Russian': ru, 'Korean': us, 'Chinese(Traditional)': us,
'Portuguese(Brazilian)': pt-latin1, 'Italian': it}
    intf.instLanguage.tz: {'Swedish': Europe/Stockholm, 'Danish':
Europe/Copenhagen, 'Icelandic': Atlantic/Reykjavik,
'Chinese(Simplified)': Asia/Shanghai, 'Croatian': Europe/Zagreb,
'Norwegian': Europe/Oslo, 'German': Europe/Berlin, 'English':
America/New_York, 'Slovenian': Europe/Ljubljana, 'Japanese':
Asia/Tokyo, 'French': Europe/Paris, 'Czech': Europe/Prague,
'Portuguese': Europe/Lisbon, 'Turkish': Europe/Istanbul, 'Spanish':
Europe/Madrid, 'Dutch': Europe/Amsterdam, 'Russian': Europe/Moscow,
'Korean': Asia/Seoul, 'Chinese(Traditional)': Asia/Taipei,
'Portuguese(Brazilian)': America/Sao_Paulo, 'Italian': Europe/Rome}
  intf.langSearchPath: [en_US.UTF-8, en_US, en, C]
  intf.showingHelpOnHelp: 0
  intf.welcomeText: Fedora Core (C) 2003 Red Hat, Inc.
  intf.screen: SnackScreen instance, containing members:
    intf.screen.width: 80
    intf.screen.helpCb: <bound method InstallInterface.helpWindow of
<text.InstallInterface instance at 0xa0b780c>>
    intf.screen.height: 30
  intf.configFileData: {'TitleBar': pixmaps/anaconda_header.png,
'Title': Red Hat Linux Beta, 'Splashscreen': pixmaps/first.png,
'WelcomeScreen': pixmaps/splash.png}
flags: Flags instance, containing members:
  flags.flags: {'setupFilesystems': 1, 'usevnc': 0, 'expert': 0,
'autoscreenshot': 0, 'test': 0, 'serial': 0, 'autostep': 0}
dispatch: Already dumped
instPath: /mnt/sysimage
firstStep: 0
id: InstallData instance, containing members:
  id.compspkg: None
  id.dbpath: None
  id.grpset: None
  id.firewall: Firewall instance, containing members:
    id.firewall.ftp: 0
    id.firewall.http: 0
    id.firewall.ssh: 0
    id.firewall.portlist: 
    id.firewall.enabled: 1
    id.firewall.trustdevs: []
    id.firewall.smtp: 0
    id.firewall.ports: []
    id.firewall.telnet: 0
  id.upgradeSwapInfo: None
  id.rootParts: None
  id.upgradeInfoFound: None
  id.upgradeDeps: 
  id.auth: Authentication instance, containing members:
    id.auth.hesiodLhs: 
    id.auth.useKrb5: 0
    id.auth.nisuseBroadcast: 1
    id.auth.useShadow: 1
    id.auth.sambaServer: 
    id.auth.krb5Realm: 
    id.auth.nisDomain: 
    id.auth.sambaWorkgroup: 
    id.auth.ldapTLS: 
    id.auth.useMD5: 1
    id.auth.useSamba: 0
    id.auth.ldapBasedn: 
    id.auth.krb5Admin: 
    id.auth.enableCache: 0
    id.auth.useLdapauth: 0
    id.auth.hesiodRhs: 
    id.auth.ldapServer: 
    id.auth.useHesiod: 0
    id.auth.krb5Kdc: 
    id.auth.useLdap: 0
    id.auth.nisServer: 
    id.auth.useNIS: 0
  id.upgradeRoot: None
  id.xsetup: XSetup instance, containing members:
    id.xsetup.skipx: 0
    id.xsetup.imposed_sane_default: 1
    id.xsetup.xhwstate: XF86HardwareState instance, containing members:
      id.xsetup.xhwstate.videocard_driver: vesa
      id.xsetup.xhwstate.all_resolutions: [640x480, 800x480, 800x600,
1024x600, 1024x768, 1152x768, 1152x864, 1280x800, 1280x960, 1280x1024,
1400x1050, 1440x900, 1600x1200, 1680x1050, 1900x1200, 1920x1200,
1920x1440, 2048x1536]
      id.xsetup.xhwstate.monitor: monName: CML170SX Plu
monID: DDCPROBED
monHoriz: 24-80
monVert: 56-85
physicalWidth: 340
physicalHeight: 270

      id.xsetup.xhwstate.probed_physical_height: 270
      id.xsetup.xhwstate.videocard_name: VESA driver (generic)
      id.xsetup.xhwstate.probed_vsync: 56-85
      id.xsetup.xhwstate.resolution: 1024x768
      id.xsetup.xhwstate.video_ram: 0
      id.xsetup.xhwstate.videocard: primary: 0
vidCards: [<rhpl.videocard.VideoCard instance at 0xa138c24>]
Primary Video Card Info:
device: None
descr : VESA driver (generic)
server: XFree86
cardManf: None
vidRam: 16384
carddata: {'CHIPSET': 'VESA VBE 2.0', 'DRIVER': 'vesa', 'NAME': 'VESA
driver (generic)'}
devID: VESA driver (generic)
fbmodes: None
fbbpp: None

      id.xsetup.xhwstate.physical_width: 340
      id.xsetup.xhwstate.videocard_options: []
      id.xsetup.xhwstate.probed_hsync: 24-80
      id.xsetup.xhwstate.hsync: 24-80
      id.xsetup.xhwstate.probed_physical_width: 340
      id.xsetup.xhwstate.vsync: 56-85
      id.xsetup.xhwstate.probed_video_ram: 16384
      id.xsetup.xhwstate.physical_height: 270
      id.xsetup.xhwstate.colordepth: 24
      id.xsetup.xhwstate.monitor_name: CML170SX Plu
      id.xsetup.xhwstate.dri_enabled: 0
      id.xsetup.xhwstate.xconfig: None
  id.dependencies: []
  id.fsset: FileSystemSet instance, containing members:
    id.fsset.messageWindow: <bound method
InstallInterface.messageWindow of <text.InstallInterface instance at
0xa0b780c>>
    id.fsset.waitWindow: <bound method InstallInterface.waitWindow of
<text.InstallInterface instance at 0xa0b780c>>
    id.fsset.mountcount: 0
    id.fsset.entries: [fsentry -- device: none   mountpoint: /dev/pts
           fsystem: devpts format: 0
           ismounted: 0 

, fsentry -- device: none   mountpoint: /proc
           fsystem: proc format: 0
           ismounted: 0 

]
    id.fsset.volumesCreated: 0
    id.fsset.progressWindow: <bound method
InstallInterface.progressWindow of <text.InstallInterface instance at
0xa0b780c>>
    id.fsset.migratedfs: 0
  id.keyboard: Keyboard instance, containing members:
    id.keyboard.info: {'KEYBOARDTYPE': pc, 'KEYTABLE': us}
    id.keyboard.type: PC
    id.keyboard.beenset: 1
  id.timezone: Timezone instance, containing members:
    id.timezone.utc: 0
    id.timezone.utcOffset: 0
    id.timezone.arc: 0
    id.timezone.tz: None
    id.timezone.dst: 0
  id.bootloader: x86BootloaderInfo instance, containing members:
    id.bootloader.kickstart: 0
    id.bootloader.doUpgradeOnly: 0
    id.bootloader.useLinear: 1
    id.bootloader.defaultDevice: None
    id.bootloader.useGrubVal: 1
    id.bootloader.args: KernelArguments instance, containing members:
      id.bootloader.args.args: hdc=ide-scsi
    id.bootloader.kernelLocation: /boot/
    id.bootloader.images: BootImages instance, containing members:
      id.bootloader.images.default: None
      id.bootloader.images.images: {}
    id.bootloader.configfile: /etc/lilo.conf
    id.bootloader.above1024: 0
    id.bootloader.serialOptions: None
    id.bootloader.pure: None
    id.bootloader.serialDevice: None
    id.bootloader.device: None
    id.bootloader.drivelist: [hda]
    id.bootloader.serial: 0
    id.bootloader.forceLBA32: 0
  id.mouse: FULLNAME="Microsoft - IntelliMouse Optical (USB)"
MOUSETYPE="ps/2"
XEMU3="no"
XMOUSETYPE="IMPS/2"

  id.extraModules: []
  id.network: Network instance, containing members:
    id.network.domains: []
    id.network.hostname: localhost.localdomain
    id.network.isConfigured: 0
    id.network.overrideDHCPhostname: 0
    id.network.netdevices: {'eth0': DEVICE=eth0
HWADDR=00:07:E9:F4:9D:08
ONBOOT=no
TYPE=Ethernet

}
    id.network.primaryNS: 
    id.network.firstnetdevice: eth0
    id.network.secondaryNS: 
    id.network.gateway: 
    id.network.ternaryNS: 
  id.instClass: InstallClass instance, containing members:
  id.upgradeRemove: []
  id.upgrade: Boolean instance, containing members:
    id.upgrade.val: 0
  id.monitor: Already dumped
  id.floppyDevice: hdb
  id.isHeadless: 0
  id.methodstr: cdrom://hdc:/mnt/source
  id.videocard: Already dumped
  id.desktop: Desktop instance, containing members:
    id.desktop.info: {}
    id.desktop.runlevel: 3
  id.instLanguage: Already dumped
  id.diskset: DiskSet instance, containing members:
    id.diskset.disks: {'hda': <PedDisk object at 0xa0d8e50>}
    id.diskset.onlyPrimary: None
  id.handleDeps: 0
  id.langSupport: Language instance, containing members:
    id.langSupport.info: {'SUPPORTED': None}
    id.langSupport.default: None
    id.langSupport.supported: []
  id.partitions: Partitions instance, containing members:
    id.partitions.useFdisk: 0
    id.partitions.useAutopartitioning: 1
    id.partitions.autoClearPartType: 1
    id.partitions.nextUniqueID: 15
    id.partitions.reinitializeDisks: 0
    id.partitions.autoClearPartDrives: [hda]
    id.partitions.zeroMbr: 0
    id.partitions.isKickstart: 0
    id.partitions.requests: [New Part Request -- mountpoint: /boot
uniqueID: 10
  type: ext3  format: 1  badblocks: None
  device: hda2 drive: ['hda']  primary: None
  size: 100  grow: 0  maxsize: None
  start: None  end: None  migrate: None  origfstype: None
, New Part Request -- mountpoint: / uniqueID: 9
  type: ext3  format: 1  badblocks: None
  device: hda3 drive: ['hda']  primary: None
  size: 1024  grow: 1  maxsize: None
  start: None  end: None  migrate: None  origfstype: None
, PreexistingPartitionSpec instance, containing members:
      currentDrive: None
      badblocks: None
      format: None
      migrate: None
      origfstype: None
      primary: None
      fstype: None
      preexist: 1
      dev: None
      uniqueID: 1
      device: hda-1
      mountpoint: None
      requestSize: 0.0302734375
      maxSizeMB: None
      size: 0.0302734375
      end: 62
      drive: hda
      fslabel: None
      grow: 0
      start: 1
      protected: 0
      ignoreBootConstraints: 0
      type: 1
, PreexistingPartitionSpec instance, containing members:
      currentDrive: None
      badblocks: None
      format: None
      migrate: None
      origfstype: NTFSFileSystem instance, containing members:
        origfstype.partedPartitionFlags: []
        origfstype.checked: 0
        origfstype.name: ntfs
        origfstype.migratetofs: None
        origfstype.deviceArguments: {}
        origfstype.supported: -1
        origfstype.partedFileSystemType: <PedFileSystemType object at
0xa09abe8>
        origfstype.defaultOptions: defaults
        origfstype.maxSizeMB: 1048576
        origfstype.extraFormatArgs: []
        origfstype.formattable: 0
        origfstype.linuxnativefs: 0
        origfstype.maxLabelChars: 16
      primary: None
      fstype: Already dumped
      preexist: 1
      dev: None
      uniqueID: 2
      device: hda1
      mountpoint: None
      requestSize: 39997.7402344
      maxSizeMB: None
      size: 39997.7402344
      end: 81915434
      drive: hda
      fslabel: None
      grow: 0
      start: 63
      protected: 0
      ignoreBootConstraints: 0
      type: 1
, New Part Request -- mountpoint: None uniqueID: 11
  type: swap  format: 1  badblocks: None
  device: hda5 drive: ['hda']  primary: None
  size: 512  grow: 1  maxsize: 1024
  start: None  end: None  migrate: None  origfstype: None
, PreexistingPartitionSpec instance, containing members:
      currentDrive: None
      badblocks: None
      format: None
      migrate: None
      origfstype: None
      primary: None
      fstype: None
      preexist: 1
      dev: None
      uniqueID: 8
      device: hda-1
      mountpoint: None
      requestSize: 2.49169921875
      maxSizeMB: None
      size: 2.49169921875
      end: 156301487
      drive: hda
      fslabel: None
      grow: 0
      start: 156296385
      protected: 0
      ignoreBootConstraints: 0
      type: 1
, PreexistingPartitionSpec instance, containing members:
      currentDrive: None
      badblocks: None
      format: None
      migrate: None
      origfstype: None
      primary: None
      fstype: None
      preexist: 1
      dev: None
      uniqueID: 6
      device: hda-1
      mountpoint: None
      requestSize: 0.0302734375
      maxSizeMB: None
      size: 0.0302734375
      end: 153501137
      drive: hda
      fslabel: None
      grow: 0
      start: 153501076
      protected: 0
      ignoreBootConstraints: 0
      type: 1
]
    id.partitions.autoPartitionRequests: [New Part Request --
mountpoint: / uniqueID: None
  type: ext3  format: 1  badblocks: None
  device: None drive: None  primary: None
  size: 1024  grow: 1  maxsize: None
  start: None  end: None  migrate: None  origfstype: None
, New Part Request -- mountpoint: /boot uniqueID: None
  type: ext3  format: 1  badblocks: None
  device: None drive: None  primary: None
  size: 100  grow: 0  maxsize: None
  start: None  end: None  migrate: None  origfstype: None
, New Part Request -- mountpoint: None uniqueID: None
  type: swap  format: 1  badblocks: None
  device: None drive: None  primary: None
  size: 512  grow: 1  maxsize: 1024
  start: None  end: None  migrate: None  origfstype: None
]
    id.partitions.deletes: [drive: hda  start: 81915435  end: 82204604
, drive: hda  start: 82204605  end: 153501074
, drive: hda  start: 153501075  end: 156296384
, drive: hda  start: 153501138  end: 156296384
]
  id.firstboot: 0
  id.configFileData: {'TitleBar': pixmaps/anaconda_header.png,
'Title': Red Hat Linux Beta, 'Splashscreen': pixmaps/first.png,
'WelcomeScreen': pixmaps/splash.png}
  id.x_already_set: 0
dir: 1
skipSteps: {'upgradecontinue': 1, 'addswap': 1, 'findinstall': 1,
'upgrademigfind': 1, 'upgradeswapsuggestion': 1, 'confirmupgrade': 1,
'desktopchoice': 1, 'bootloaderadvanced': 1, 'videocard': 1, 'fdasd':
1, 'xcustom': 1, 'authentication': 1, 'makebootdisk': 1,
'findpackages': 1, 'betanag': 1, 'fdisk': 1, 'upgbootloader': 1,
'upgrademount': 1, 'upgrademigratefs': 1, 'indivpackage': 1}


/tmp/syslog:
<4>Linux version 2.4.22-1.2115.nptl (bhcompile@daffy.perf.redhat.com)
(gcc version 3.2.3 20030422 (Red Hat Linux 3.2.3-6)) #1 Wed Oct 29
15:20:17 EST 2003
<6>BIOS-provided physical RAM map:
<4> BIOS-e820: 0000000000000000 - 000000000009fc00 (usable)
<4> BIOS-e820: 000000000009fc00 - 00000000000a0000 (reserved)
<4> BIOS-e820: 00000000000e0000 - 0000000000100000 (reserved)
<4> BIOS-e820: 0000000000100000 - 000000001ff40000 (usable)
<4> BIOS-e820: 000000001ff40000 - 000000001ff50000 (ACPI data)
<4> BIOS-e820: 000000001ff50000 - 0000000020000000 (ACPI NVS)
<5>511MB LOWMEM available.
<7>ACPI: have wakeup address 0xc0001000
<4>On node 0 totalpages: 130880
<4>zone(0): 4096 pages.
<4>zone(1): 126784 pages.
<4>zone(2): 0 pages.
<6>ACPI: RSDP (v000 ACPIAM                                    ) @
0x000f7300
<6>ACPI: RSDT (v001 INTEL  D845GRG2 0x20030714 MSFT 0x00000097) @
0x1ff40000
<6>ACPI: FADT (v002 INTEL  D845GRG2 0x20030714 MSFT 0x00000097) @
0x1ff40200
<6>ACPI: MADT (v001 INTEL  D845GRG2 0x20030714 MSFT 0x00000097) @
0x1ff40300
<6>ACPI: ASF! (v016 AMIASF I845GASF 0x00000001 MSFT 0x0100000d) @
0x1ff44350
<6>ACPI: DSDT (v001 INTEL  D845GRG2 0x0000010a MSFT 0x0100000d) @
0x00000000
<4>Kernel command line: initrd=initrd.img ramdisk_size=8192
BOOT_IMAGE=vmlinuz text
<6>Initializing CPU#0
<4>Detected 2666.820 MHz processor.
<4>Console: colour VGA+ 80x25
<4>Calibrating delay loop... 5321.52 BogoMIPS
<6>Memory: 511508k/523520k available (1379k kernel code, 11624k
reserved, 1108k data, 120k init, 0k highmem)
<6>Dentry cache hash table entries: 65536 (order: 7, 524288 bytes)
<6>Inode cache hash table entries: 32768 (order: 6, 262144 bytes)
<6>Mount cache hash table entries: 512 (order: 0, 4096 bytes)
<6>Buffer cache hash table entries: 32768 (order: 5, 131072 bytes)
<4>Page-cache hash table entries: 131072 (order: 7, 524288 bytes)
<6>CPU: Trace cache: 12K uops, L1 D cache: 8K
<6>CPU: L2 cache: 512K
<6>Intel machine check architecture supported.
<6>Intel machine check reporting enabled on CPU#0.
<7>CPU:     After generic, caps: bfebfbff 00000000 00000000 00000000
<7>CPU:             Common caps: bfebfbff 00000000 00000000 00000000
<4>CPU: Intel(R) Pentium(R) 4 CPU 2.66GHz stepping 07
<6>Enabling fast FPU save and restore... done.
<6>Enabling unmasked SIMD FPU exception support... done.
<6>Checking 'hlt' instruction... OK.
<4>POSIX conformance testing by UNIFIX
<4>mtrr: v1.40 (20010327) Richard Gooch (rgooch@atnf.csiro.au)
<4>mtrr: detected mtrr type: Intel
<6>ACPI: Subsystem revision 20031002
<6>ACPI: Interpreter disabled.
<6>PCI: PCI BIOS revision 2.10 entry at 0xf0031, last bus=2
<6>PCI: Using configuration type 1
<6>PCI: Probing PCI hardware
<4>PCI: Probing PCI hardware (bus 00)
<6>PCI: Ignoring BAR0-3 of IDE controller 00:1f.1
<4>Transparent bridge - Intel Corp. 82801BA/CA/DB/EB PCI Bridge
<6>PCI: Using IRQ router PIIX/ICH [8086/24c0] at 00:1f.0
<6>PCI: Found IRQ 5 for device 00:1f.1
<6>PCI: Sharing IRQ 5 with 00:1d.2
<6>isapnp: Scanning for PnP cards...
<6>isapnp: No Plug & Play device found
<6>Linux NET4.0 for Linux 2.4
<6>Based upon Swansea University Computer Society NET3.039
<4>Initializing RT netlink socket
<6>apm: BIOS not found.
<4>Starting kswapd
<5>VFS: Disk quotas vdquot_6.5.1
<4>pty: 512 Unix98 ptys configured
<6>Serial driver version 5.05c (2001-07-08) with MANY_PORTS MULTIPORT
SHARE_IRQ SERIAL_PCI ISAPNP enabled
<6>Real Time Clock Driver v1.10e
<6>NET4: Frame Diverter 0.46
<4>RAMDISK driver initialized: 16 RAM disks of 8192K size 1024 blocksize
<6>Uniform Multi-Platform E-IDE driver Revision: 7.00beta4-2.4
<6>ide: Assuming 33MHz system bus speed for PIO modes; override with
idebus=xx
<6>ICH4: IDE controller at PCI slot 00:1f.1
<4>PCI: Enabling device 00:1f.1 (0005 -> 0007)
<6>PCI: Found IRQ 5 for device 00:1f.1
<6>PCI: Sharing IRQ 5 with 00:1d.2
<6>ICH4: chipset revision 2
<6>ICH4: not 100% native mode: will probe irqs later
<6>    ide0: BM-DMA at 0xffa0-0xffa7, BIOS settings: hda:DMA, hdb:DMA
<6>    ide1: BM-DMA at 0xffa8-0xffaf, BIOS settings: hdc:DMA, hdd:DMA
<4>hda: ST380011A, ATA DISK drive
<4>hdb: IOMEGA ZIP 250 ATAPI Floppy, ATAPI FLOPPY drive
<4>blk: queue c03d9420, I/O limit 4095Mb (mask 0xffffffff)
<4>hdc: TOSHIBA DVD-ROM SD-R1202, ATAPI CD/DVD-ROM drive
<4>hdd: CDU5211, ATAPI CD/DVD-ROM drive
<4>ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
<4>ide1 at 0x170-0x177,0x376 on irq 15
<4>hda: attached ide-disk driver.
<4>hda: host protected area => 1
<6>hda: 156301488 sectors (80026 MB) w/2048KiB Cache, CHS=9729/255/63,
UDMA(100)
<4>hdb: attached ide-floppy driver.
<3>hdb: No disk in drive
<6>hdb: 98304kB, 96/64/32 CHS, 4096 kBps, 512 sector size, 2941 rpm
<6>Partition check:
<6> hda: hda1 hda2 hda3 hda4 < hda5 >
<3>ide: late registration of driver.
<6>md: md driver 0.90.0 MAX_MD_DEVS=256, MD_SB_DISKS=27
<6>md: Autodetecting RAID arrays.
<6>md: autorun ...
<6>md: ... autorun DONE.
<6>Initializing Cryptographic API
<6>NET4: Linux TCP/IP 1.0 for NET4.0
<6>IP Protocols: ICMP, UDP, TCP, IGMP
<6>IP: routing cache hash table of 4096 buckets, 32Kbytes
<6>TCP: Hash tables configured (established 32768 bind 65536)
<6>Linux IP multicast router 0.06 plus PIM-SM
<6>NET4: Unix domain sockets 1.0/SMP for Linux NET4.0.
<5>RAMDISK: Compressed image found at block 0
<6>Freeing initrd memory: 2941k freed
<4>VFS: Mounted root (ext2 filesystem).
<7>vga16fb: initializing
<6>vga16fb: mapped to 0xc00a0000
<4>Console: switching to colour frame buffer device 80x30
<6>fb0: VGA16 VGA frame buffer device
<6>loop: loaded (max 8 devices)
<6>inserting floppy driver for 2.4.22-1.2115.nptl
<4>floppy0: no floppy controllers found
<4>hdc: attached ide-cdrom driver.
<6>hdc: ATAPI 40X DVD-ROM CD-R/RW drive, 2048kB Cache, UDMA(33)
<6>Uniform CD-ROM driver Revision: 3.12
<4>hdd: attached ide-cdrom driver.
<6>hdd: ATAPI 52X CD-ROM drive, 120kB Cache, UDMA(33)
<6>hdc: DMA disabled
<6>hdd: DMA disabled
<6>SCSI subsystem driver Revision: 1.00
<6>usb.c: registered new driver usbdevfs
<6>usb.c: registered new driver hub
<6>usb-uhci.c: $Revision: 1.275 $ time 15:28:28 Oct 29 2003
<6>usb-uhci.c: High bandwidth mode enabled
<6>PCI: Found IRQ 11 for device 00:1d.0
<7>PCI: Setting latency timer of device 00:1d.0 to 64
<6>usb-uhci.c: USB UHCI at I/O 0xe800, IRQ 11
<4>usb-uhci.c: Detected 2 ports
<6>usb.c: new USB bus registered, assigned bus number 1
<6>hub.c: USB hub found
<6>hub.c: 2 ports detected
<6>PCI: Found IRQ 3 for device 00:1d.1
<7>PCI: Setting latency timer of device 00:1d.1 to 64
<6>usb-uhci.c: USB UHCI at I/O 0xe880, IRQ 3
<4>usb-uhci.c: Detected 2 ports
<6>usb.c: new USB bus registered, assigned bus number 2
<6>hub.c: USB hub found
<6>hub.c: 2 ports detected
<6>PCI: Found IRQ 5 for device 00:1d.2
<6>PCI: Sharing IRQ 5 with 00:1f.1
<7>PCI: Setting latency timer of device 00:1d.2 to 64
<6>usb-uhci.c: USB UHCI at I/O 0xec00, IRQ 5
<4>usb-uhci.c: Detected 2 ports
<6>usb.c: new USB bus registered, assigned bus number 3
<6>hub.c: USB hub found
<6>hub.c: 2 ports detected
<6>usb-uhci.c: v1.275:USB Universal Host Controller Interface driver
<6>PCI: Found IRQ 9 for device 00:1d.7
<7>PCI: Setting latency timer of device 00:1d.7 to 64
<6>ehci_hcd 00:1d.7: Intel Corp. 82801DB USB2
<6>ehci_hcd 00:1d.7: irq 9, pci mem e08d3c00
<6>usb.c: new USB bus registered, assigned bus number 4
<6>ehci_hcd 00:1d.7: enabled 64bit PCI DMA
<4>PCI: cache line size of 128 is not supported by device 00:1d.7
<6>ehci_hcd 00:1d.7: USB 2.0 enabled, EHCI 1.00, driver 2003-Jun-19/2.4
<6>hub.c: USB hub found
<6>hub.c: 6 ports detected
<3>hub.c: connect-debounce failed, port 2 disabled
<6>hub.c: new USB device 00:1d.0-2, assigned address 2
<4>usb.c: USB device 2 (vend/prod 0xc27/0x3bfa) is not claimed by any
active driver.
<6>hub.c: new USB device 00:1d.1-1, assigned address 2
<4>usb.c: USB device 2 (vend/prod 0x45e/0x1e) is not claimed by any
active driver.
<6>usb.c: registered new driver hiddev
<6>usb.c: registered new driver hid
<4>usb-uhci.c: interrupt, status 3, frame# 1574
<6>input: USB HID v1.00 Mouse [Microsoft Microsoft IntelliMouse®
Explorer] on usb2:2.0
<4>usb_control/bulk_msg: timeout
<6>input: USB HID v1.10 Keyboard [RFIDeas USB Keyboard] on usb1:2.0
<6>hid-core.c: v1.8.1 Andreas Gal, Vojtech Pavlik <vojtech@suse.cz>
<6>hid-core.c: USB HID support drivers
<5>Intel(R) PRO/100 Network Driver - version 2.3.18-k1
<5>Copyright (c) 2003 Intel Corporation
<5>
<6>PCI: Found IRQ 11 for device 02:08.0
<7>divert: allocating divert_blk for eth0
<7>e100: selftest OK.
<5>e100: eth0: Intel(R) PRO/100 Network Connection
<5>  Hardware receive checksums enabled
<5>
<6>PCI: Found IRQ 10 for device 02:01.0
<6>scsi0 : Adaptec AIC7XXX EISA/VLB/PCI SCSI HBA DRIVER, Rev 6.2.36
<4>        <Adaptec 2930 Ultra2 SCSI adapter>
<4>        aic7890/91: Ultra2 Wide Channel A, SCSI Id=7, 32/253 SCBs
<4>
<7>ISO 9660 Extensions: Microsoft Joliet Level 3
<7>ISO 9660 Extensions: RRIP_1991A
<4>Unable to identify CD-ROM format.
<4>VFS: Can't find ext2 filesystem on dev loop(7,0).
<4>hdc: set_drive_speed_status: status=0x51 { DriveReady SeekComplete
Error }
<4>hdc: set_drive_speed_status: error=0x04
<6>hdc: DMA disabled
<6>hdd: DMA disabled
<6>md: raid0 personality registered as nr 2
<6>md: raid1 personality registered as nr 3
<6>raid5: measuring checksumming speed
<4>   8regs     :  3078.400 MB/sec
<4>   32regs    :  1806.000 MB/sec
<4>   pIII_sse  :  3500.000 MB/sec
<4>   pII_mmx   :  3148.400 MB/sec
<4>   p5_mmx    :  3082.800 MB/sec
<4>raid5: using function: pIII_sse (3500.000 MB/sec)
<6>md: raid5 personality registered as nr 4
<6>Journalled Block Device driver loaded
<6>LVM version 1.0.5+(22/07/2002) module loaded
<6>parport0: PC-style at 0x378 (0x778) [PCSPP,TRISTATE]
<6>parport0: irq 7 detected
<6>mice: PS/2 mouse device common for all mice
<6>kjournald starting.  Commit interval 5 seconds
<6>EXT3 FS 2.4-0.9.19, 19 August 2002 on ide0(3,2), internal journal
<6>EXT3-fs: mounted filesystem with ordered data mode.
<6>kjournald starting.  Commit interval 5 seconds
<6>EXT3 FS 2.4-0.9.19, 19 August 2002 on ide0(3,3), internal journal
<6>EXT3-fs: mounted filesystem with ordered data mode.


/tmp/anaconda.log:
* modules to insert fbcon-vga-planes vga16fb
* loaded fbcon-vga-planes from /modules/modules.cgz
* loaded vga16fb from /modules/modules.cgz
* inserted /tmp/fbcon-vga-planes.o
* inserted /tmp/vga16fb.o
* load module set done
* 514452 kB are available
* modules to insert cramfs fat vfat sunrpc lockd nfs loop isofs floppy
* loaded cramfs from /modules/modules.cgz
* loaded fat from /modules/modules.cgz
* loaded vfat from /modules/modules.cgz
* loaded sunrpc from /modules/modules.cgz
* loaded lockd from /modules/modules.cgz
* loaded nfs from /modules/modules.cgz
* loaded loop from /modules/modules.cgz
* loaded floppy from /modules/modules.cgz
* module(s) isofs not found
* inserted /tmp/cramfs.o
* inserted /tmp/fat.o
* inserted /tmp/vfat.o
* inserted /tmp/sunrpc.o
* inserted /tmp/lockd.o
* inserted /tmp/nfs.o
* inserted /tmp/loop.o
* failed to insert /tmp/floppy.o
* load module set done
* modules to insert cdrom ide-cd
* loaded cdrom from /modules/modules.cgz
* loaded ide-cd from /modules/modules.cgz
* inserted /tmp/cdrom.o
* inserted /tmp/ide-cd.o
* load module set done
* disabled DMA for CD devices hdc
* disabled DMA for CD devices hdd
* modules to insert scsi_mod sd_mod sr_mod
* loaded scsi_mod from /modules/modules.cgz
* loaded sd_mod from /modules/modules.cgz
* loaded sr_mod from /modules/modules.cgz
* inserted /tmp/scsi_mod.o
* inserted /tmp/sd_mod.o
* inserted /tmp/sr_mod.o
* load module set done
* looking for usb controllers
* found USB controller usb-uhci
* modules to insert usbcore usb-uhci
* loaded usbcore from /modules/modules.cgz
* loaded usb-uhci from /modules/modules.cgz
* inserted /tmp/usbcore.o
* inserted /tmp/usb-uhci.o
* load module set done
* found USB controller usb-uhci
* modules to insert
* load module set done
* found USB controller usb-uhci
* modules to insert
* load module set done
* found USB controller ehci-hcd
* modules to insert ehci-hcd
* loaded ehci-hcd from /modules/modules.cgz
* inserted /tmp/ehci-hcd.o
* load module set done
* waiting for usb to become stable...
* 5 seconds.
* modules to insert input hid keybdev
* loaded input from /modules/modules.cgz
* loaded hid from /modules/modules.cgz
* loaded keybdev from /modules/modules.cgz
* inserted /tmp/input.o
* inserted /tmp/hid.o
* inserted /tmp/keybdev.o
* load module set done
* no pcic controller found
* probing buses
* finished bus probing
* modules to insert e100 aic7xxx
* loaded e100 from /modules/modules.cgz
* loaded aic7xxx from /modules/modules.cgz
* inserted /tmp/e100.o
* inserted /tmp/aic7xxx.o
* load module set done
* trying to mount CD device hdc
* mntloop loop0 on /mnt/runtime as /mnt/source/Fedora/base/stage2.img
fd is 12
* MD5SUM -> b3c0be7f1ebb3b9d31b8abe158d88ba7
* skipsectors = 15
* isostatus = 0
* getting ready to spawn shell now
* modules to insert
* load module set done
* disabled DMA for CD devices hdc
* disabled DMA for CD devices hdd
* modules to insert
* load module set done
* probing buses
* finished bus probing
* modules to insert
* load module set done
* looking for video cards requiring agpgart module
* found video card controller unknown
* modules to insert md raid0 raid1 xor raid5 msdos jbd ext3 reiserfs
jfs xfs lvm-mod
* loaded raid0 from /mnt/runtime/modules/modules.cgz
* loaded raid1 from /mnt/runtime/modules/modules.cgz
* loaded xor from /mnt/runtime/modules/modules.cgz
* loaded raid5 from /mnt/runtime/modules/modules.cgz
* loaded msdos from /mnt/runtime/modules/modules.cgz
* loaded jbd from /mnt/runtime/modules/modules.cgz
* loaded ext3 from /mnt/runtime/modules/modules.cgz
* loaded reiserfs from /mnt/runtime/modules/modules.cgz
* loaded jfs from /mnt/runtime/modules/modules.cgz
* loaded lvm-mod from /mnt/runtime/modules/modules.cgz
* module(s) md xfs not found
* inserted /tmp/raid0.o
* inserted /tmp/raid1.o
* inserted /tmp/xor.o
* inserted /tmp/raid5.o
* inserted /tmp/msdos.o
* inserted /tmp/jbd.o
* inserted /tmp/ext3.o
* inserted /tmp/reiserfs.o
* inserted /tmp/jfs.o
* inserted /tmp/lvm-mod.o
* load module set done
* loading parallel port drivers...
* modules to insert parport parport_pc
* loaded parport from /mnt/runtime/modules/modules.cgz
* loaded parport_pc from /mnt/runtime/modules/modules.cgz
* inserted /tmp/parport.o
* inserted /tmp/parport_pc.o
* load module set done
* looking for USB mouse...
* USB mouse found, loading mousedev module
* modules to insert mousedev
* loaded mousedev from /mnt/runtime/modules/modules.cgz
* inserted /tmp/mousedev.o
* load module set done
* Running anaconda script /usr/bin/anaconda
* Display mode = t
* Method = cdrom://hdc:/mnt/source
* anaconda floppy device hdb
* moving (1) to step welcome
* moving (1) to step language
* moving (1) to step keyboard
* moving (1) to step mouse
* moving (1) to step checkmonitorok
* moving (1) to step setsanex
* moving (1) to step findrootparts
* isys.py:mount()- going to mount /tmp/hda2 on /mnt/sysimage
* isys.py:mount()- going to mount /tmp/hda3 on /mnt/sysimage
* moving (1) to step findinstall
* moving (1) to step installtype
* Detected 512M of memory
* Swap attempt of 512M to 1024M
* moving (1) to step partitionmethod
* moving (1) to step partitionobjinit
* moving (1) to step partitionmethodsetup
* moving (1) to step autopartition
* moving (1) to step autopartitionexecute
* moving (1) to step partition


/tmp/lvmout:
vgchange -- no volume groups found

 "/etc/lvmtab.d"
vgscan -- creating empty "/etc/lvmtab" and "/etc/lvmtab.d"
vgscan -- reading all physical volumes (this may take a while...)
vgscan -- "/etc/lvmtab" and "/etc/lvmtab.d" successfully created
vgscan -- WARNING: This program does not do a VGDA backup of your
volume group
Comment 2 Jeremy Katz 2004-10-04 23:28:38 EDT
This should be fixed with newer releases

Note You need to log in before you can comment on or make changes to this bug.